Skip to content
Permalink
Browse files

Merge branch '4.3'

* 4.3:
  removed deprecated usage of some Twig features
  • Loading branch information...
fabpot committed May 10, 2019
2 parents 0ad9f24 + e75ed98 commit e19db439d86bce4dd5f6e328cc435702b12e7a42
@@ -22,7 +22,7 @@
"doctrine/event-manager": "~1.0",
"doctrine/persistence": "~1.0",
"fig/link-util": "^1.0",
"twig/twig": "^1.40|^2.9",
"twig/twig": "^1.41|^2.10",
"psr/cache": "~1.0",
"psr/container": "^1.0",
"psr/link": "^1.0",
@@ -407,7 +407,7 @@
{# Support #}

{%- block form_rows -%}
{% for child in form if not child.rendered %}
{% for child in form|filter(child => not child.rendered) %}
{{- form_row(child) -}}
{% endfor %}
{%- endblock form_rows -%}
@@ -18,7 +18,7 @@
"require": {
"php": "^7.1.3",
"symfony/contracts": "^1.0.2",
"twig/twig": "^1.40|^2.9"
"twig/twig": "^1.41|^2.10"
},
"require-dev": {
"egulias/email-validator": "^2.0",
@@ -22,7 +22,7 @@
"symfony/http-foundation": "~4.3",
"symfony/http-kernel": "~4.1",
"symfony/polyfill-ctype": "~1.8",
"twig/twig": "~1.40|~2.9"
"twig/twig": "~1.41|~2.10"
},
"require-dev": {
"symfony/asset": "~3.4|~4.0",
@@ -278,7 +278,7 @@

<h4>Defined as regular env variables</h4>
{% set requestserver = [] %}
{% for key, value in collector.requestserver if key not in collector.dotenvvars.keys %}
{% for key, value in collector.requestserver|filter((_, key) => key not in collector.dotenvvars.keys) %}
{% set requestserver = requestserver|merge({(key): value}) %}
{% endfor %}
{{ include('@WebProfiler/Profiler/table.html.twig', { data: requestserver }, with_context = false) }}
@@ -22,7 +22,7 @@
"symfony/routing": "~3.4|~4.0",
"symfony/twig-bundle": "~4.2",
"symfony/var-dumper": "~3.4|~4.0",
"twig/twig": "~1.34|~2.4"
"twig/twig": "^1.41|^2.10"
},
"require-dev": {
"symfony/console": "~3.4|~4.0",

0 comments on commit e19db43

Please sign in to comment.
You can’t perform that action at this time.